import request from '@/utils/request'

// 查询黑名单列表
export function listBlacklist(query) {
  return request({
    url: '/iscs/blacklist/getIsBlacklistPage',
    method: 'get',
    params: query
  })
}


// 查询黑名单详细
export function getBlacklistInfo(deptId) {
  return request({
    url: '/iscs/blacklist/selectIsBlacklistById?recordId=' + deptId,
    method: 'get'
  })
}


// 新增黑名单
export function addBlacklist(data) {
  return request({
    url: '/iscs/blacklist/insertIsBlacklist',
    method: 'post',
    data: data
  })
}

// 修改黑名单
export function updateBlacklist(data) {
  return request({
    url: '/iscs/blacklist/updateIsBlacklist',
    method: 'post',
    data: data
  })
}

// 删除黑名单
export function delBlacklist(deptId) {
  return request({
    url: '/iscs/blacklist/deleteIsBlacklistByRecordIds?recordIds=' + deptId,
    method: 'post'
  })
}
// 白名单列表
export function listWhitelist(query) {
  return request({
    url: '/iscs/blacklist/getWhiteUserPage',
    method: 'get',
    params: query
  })
}
